#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Random
Summary:	Math::Random - random number generators
Summary(pl.UTF-8):	Math::Random - generatory liczb losowych
Name:		perl-Math-Random
Version:	0.71
Release:	5
# same as perl except some C code
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	55d7579c670ecd180f71fd157a2d2070
URL:		http://search.cpan.org/dist/Math-Random/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Random is a Perl port of the C version of randlib, which is
a suite of routines for generating random deviates.

%description -l pl.UTF-8
Math::Random jest perlowym portem napisanej w C biblioteki randlib,
będącej zbiorem procedur do generowania liczb losowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mkdir examples
mv example.pl examples

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLDIRS=vendor

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README MANIFEST
%{perl_vendorarch}/Math/*.pm
%dir %{perl_vendorarch}/auto/Math/Random
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Random/*.so
%{perl_vendorarch}/auto/Math/Random/*.ix
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-Random.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cad93a8
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7193dc7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8c60d01
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f156fea
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ae1a560
- release 2

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> 5a5c18e
- updated to 0.71

* Sun Mar 02 2008 radek <radek@pld-linux.org> cd05f01
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> dcd1aa1
- rel 2

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 9ddd94d
- up to 0.70

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> c6ccc83
- generic URL

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> b4a8871
- up to 0.69, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c807e92
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> df69796
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 946d958
- formatting

* Sat Sep 25 2004 radek <radek@pld-linux.org> b77bb80
- cosmetics (spaces -> tabs)

* Thu May 06 2004 ankry <ankry@pld-linux.org> e2971d1
- fixed perl-devel BR

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> 6de8e3d
- license fixes, unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 1d300dd
- ported to new bconds

* Mon Aug 25 2003 ankry <ankry@pld-linux.org> 81e55db
- typo

* Mon Aug 25 2003 ankry <ankry@pld-linux.org> a169a0c
- no need for capitals here

